View(3)

NAME
View

SYNOPSIS

#include <View.h>

  Public Member Functions
View ()
View (const View &view)
View (Vector3< double > &vec)
View (vector< double > &vec)
View (const double x, const double y, const double z, const double angle)
View (Quaternion &q)
View (Matrix3 m)
View (double tilt, double axis)
View (double angle, Vector3< double > axis)
View operator= (const View &view)
View operator= (const vector< double > &vec)
View operator- ()
bool operator== (const View &view)
double & operator[] (size_t i)
double x ()
double y ()
double z ()
double angle ()
void x (const double d)
void y (const double d)
void z (const double d)
void angle (const double d)
vector< double > array ()
double vector_size ()
double normalize ()
void negate ()
View backward ()
Vector3< double > vector3 ()
Quaternion quaternion ()
Matrix3 matrix ()
double distance (const View &view)
double angle (const View &view)
double residual (const View &view)

  Public Attributes
View * next

Detailed Description

Definition at line 26 of file View.h.

Constructor & Destructor Documentation

  View::View () [inline]

Definition at line 38 of file View.h.

  View::View (const View & view) [inline]

Definition at line 39 of file View.h.

  View::View (Vector3< double > & vec) [inline]

Definition at line 40 of file View.h.

  View::View (vector< double > & vec) [inline]

Definition at line 41 of file View.h.

  View::View (const double x, const double y, const double z, const double angle) [inline]

Definition at line 43 of file View.h.

  View::View (Quaternion & q) [inline]

Definition at line 48 of file View.h.

  View::View (Matrix3 m) [inline]

Definition at line 60 of file View.h.

  View::View (double tilt, double axis) [inline]

Definition at line 64 of file View.h.

  View::View (double angle, Vector3< double > axis) [inline]

Definition at line 69 of file View.h.

Member Function Documentation

  double View::angle () [inline]

Definition at line 95 of file View.h.

  void View::angle (const double d) [inline]

Definition at line 99 of file View.h.

  double View::angle (const View & view) [inline]

Definition at line 159 of file View.h.

  vector<double> View::array () [inline]

Definition at line 100 of file View.h.

  View View::backward () [inline]

Definition at line 115 of file View.h.

  double View::distance (const View & view) [inline]

Definition at line 155 of file View.h.

  Matrix3 View::matrix () [inline]

Definition at line 150 of file View.h.

  void View::negate () [inline]

Definition at line 114 of file View.h.

  double View::normalize () [inline]

Definition at line 106 of file View.h.

  View View::operator- () [inline]

Definition at line 84 of file View.h.

  View View::operator= (const View & view) [inline]

Definition at line 74 of file View.h.

  View View::operator= (const vector< double > & vec) [inline]

Definition at line 78 of file View.h.

  bool View::operator== (const View & view) [inline]

Definition at line 88 of file View.h.

  double& View::operator[] (size_t i) [inline]

Definition at line 91 of file View.h.

  Quaternion View::quaternion () [inline]

Definition at line 127 of file View.h.

  double View::residual (const View & view) [inline]

Definition at line 165 of file View.h.

  Vector3<double> View::vector3 () [inline]

Definition at line 126 of file View.h.

  double View::vector_size () [inline]

Definition at line 103 of file View.h.

  double View::x () [inline]

Definition at line 92 of file View.h.

  void View::x (const double d) [inline]

Definition at line 96 of file View.h.

  double View::y () [inline]

Definition at line 93 of file View.h.

  void View::y (const double d) [inline]

Definition at line 97 of file View.h.

  double View::z () [inline]

Definition at line 94 of file View.h.

  void View::z (const double d) [inline]

Definition at line 98 of file View.h.

Member Data Documentation

  View* View::next

Definition at line 28 of file View.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.